C1W1: can't access the sagemaker domain studio!

has anyone managed to access the AWS sagemaker domain studio as detailed in the assignment’s instreuction? I followed the instruiction, start the lab, start AWS, search for AWS sagemaker, look for studio under sagemaker domain… BUT I CAN’T FIND IT! I don’t see sagemaker domain! I can see there’s a studio under control panel, I can see there’s a sagemaker dashboard… BUT NO sagemaker domain! the studio in control panel HAS NO LAUNCH option! it’s talking about pricing etc…

So where the HELL is it??? is this accessible outside of US? Because I’m not in US… if it can’t be accessed from outside, please make it clear and I’ll cancel right away!

can someone advice me…

Hi @john_lonewolf,

Can you provide screenshots of the lab to better help? As for the second query, It is accessible outside of us.

Best Regards,
A. Sriharsha

Ifrom the screen capture… do you see SageMaker Domain? kindly advice me wich one to use… the studio under control panel has NO launch option…

OK… manage to find the sagemaker studio… it’s the studio under control panel… I was looking for launch button… but missed it… you guys should really UPDATE the screenots… :frowning:

I tried running the first cell in the notebook and this is what I got:
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
error: subprocess-exited-with-error

× python setup.py egg_info did not run successfully.
│ exit code: 1
╰─> [22 lines of output]
/opt/conda/lib/python3.7/site-packages/setuptools/dist.py:760: UserWarning: Usage of dash-separated ‘description-file’ will not be supported in future versions. Please use the underscore name ‘description_file’ instead
% (opt, underscore_opt)
Traceback (most recent call last):
File “”, line 36, in
File “”, line 34, in
File “/tmp/pip-install-pu5xjc5h/sagemaker_f6b3d58a9dc64369ba89fbdac0c776f0/setup.py”, line 109, in
“sagemaker-upgrade-v2=sagemaker.cli.compatibility.v2.sagemaker_upgrade_v2:main”,
File “/opt/conda/lib/python3.7/site-packages/setuptools/init.py”, line 87, in setup
return distutils.core.setup(**attrs)
File “/opt/conda/lib/python3.7/site-packages/setuptools/_distutils/core.py”, line 109, in setup
_setup_distribution = dist = klass(attrs)
File “/opt/conda/lib/python3.7/site-packages/setuptools/dist.py”, line 466, in init
for k, v in attrs.items()
File “/opt/conda/lib/python3.7/site-packages/setuptools/_distutils/dist.py”, line 293, in init
self.finalize_options()
File “/opt/conda/lib/python3.7/site-packages/setuptools/dist.py”, line 885, in finalize_options
for ep in sorted(loaded, key=by_order):
File “/opt/conda/lib/python3.7/site-packages/setuptools/dist.py”, line 884, in
loaded = map(lambda e: e.load(), filtered)
File “/opt/conda/lib/python3.7/site-packages/setuptools/_vendor/importlib_metadata/init.py”, line 196, in load
return functools.reduce(getattr, attrs, module)
AttributeError: type object ‘Distribution’ has no attribute ‘_finalize_feature_opts’
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.10.4 documentation
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.10.4 documentation
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.10.4 documentation
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.10.4 documentation
/opt/conda/lib/python3.7/site-packages/secretstorage/dhcrypto.py:16: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
/opt/conda/lib/python3.7/site-packages/secretstorage/util.py:25: CryptographyDeprecationWarning: int_from_bytes is deprecated, use int.from_bytes instead
from cryptography.utils import int_from_bytes
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.10.4 documentation

amazing error isn’t it? how’s that for confidence building? I tried looking to change the kernel, but all I see is data science… anyway, obviously there are deprecated python being used …

any clues how to resolve this?

Hi @john_lonewolf,

Thanks for the suggestions, I will forward them to the team. Is this the line that is causing the error?

!pip install --disable-pip-version-check -q sagemaker==2.35.0

If it is we have forwarded it to the AWS team and waiting for a response.

Best Regards,
A. Sriharsha